Subject: Re: [Lsr] RtgDir review: draft-ietf-ospf-yang-23.txt

From: Ravi Singh <[email-masked]>
Date: Fri, 19 Jul 2019 02:44:07 +0000

+ [email-masked]

From: Ravi Singh
Sent: Thursday, July 18, 2019 7:43 PM
To: Routing ADs <[email-masked]>
Cc: Routing Directorate <[email-masked]>; [email-masked]; [email-masked]
Subject: RtgDir review: draft-ietf-ospf-yang-23.txt

Hello,

I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.

Document: draft-ietf-ospf-yang-23.txt
Reviewer: Ravi Singh
Review Date: 7/18/2019
Intended Status: Standards Track

Summary:
This document is basically ready for publication, but has nits that should be considered prior to publication.

This is a very comprehensively written document.
However, reading through it is a bit laborious due to the really large # of config and operational items described.
So, my review was primarily aimed at readability rather than correctness of the YANG syntax.

Specific comments/queries:
1.       What is the reasoning for sticking the multi-topology sub-container(s) at the same levels as area instead of at the level of sub-containers under area(s)?
2.       Pg 23: why both (prefix "rt-types";) and (prefix "iana-rt-types";) ?
3.       Pg 25-28: "feature two-part-metric {" and "feature key-chain {" might be readjusted in order of listing to make it the same as that in section 2.4 for a bit of enhanced readability.

Regards
Ravi

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 30 Jul 2019 00:37:41 +0000

Hi Ravi,

Thanks for the review. I’ve incorporated your comments. See inlne.

From: rtg-dir <[email-masked]> on behalf of Ravi Singh <ravis=[email-masked]>
Date: Thursday, July 18, 2019 at 10:44 PM
To: Routing ADs <[email-masked]>
Cc: Routing Directorate <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [RTG-DIR] RtgDir review: draft-ietf-ospf-yang-23.txt

+ [email-masked]

From: Ravi Singh

Hello,

Summary:

OSPF Multi-Topology is not a widely deployed feature and that is why we did it with augmentations. I’ve removed the area list from the instance level augmentation and added a separate augmentation at the area level. This change will be in the -24 version.

2.       Pg 23: why both (prefix "rt-types";) and (prefix "iana-rt-types";) ?
They are two separate models in the RFC 8294. The latter module is maintained by IANA.

I agree. However, I’ve removed two-part metric and it will be in the augmentation draft.

Thanks,
Acee

Regards
Ravi